summaryrefslogtreecommitdiff
path: root/tests/rm/cycle
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/cycle')
-rwxr-xr-xtests/rm/cycle21
1 files changed, 4 insertions, 17 deletions
diff --git a/tests/rm/cycle b/tests/rm/cycle
index b6e3576fd..9f7bfcc79 100755
--- a/tests/rm/cycle
+++ b/tests/rm/cycle
@@ -1,7 +1,7 @@
#!/bin/sh
# rm (coreutils-4.5.4) could be tricked into mistakenly reporting a cycle.
-# Copyright (C) 2003, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,25 +22,13 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
-PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+. $srcdir/../test-lib.sh
+skip_if_root_
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
mkdir -p a/b
touch a/b/file
chmod u-w a/b
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
fail=0
rm -rf a a 2>&1 | sed 's/:[^:]*$//' > out || fail=1
@@ -49,7 +37,6 @@ rm: cannot remove `a/b/file'
rm: cannot remove `a/b/file'
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail